Pages: 1 [2]
  Print  
Author Topic: Builds, Packages, Releases, etc.  (Read 7424 times)
Offline (Male) RetroX
Reply #15 Posted on: March 24, 2011, 07:11:12 PM

Master of all things Linux
Contributor
Location: US
Joined: Apr 2008
Posts: 1055
MSN Messenger - classixretrox@gmail.com
View Profile Email
The Ubuntu package has been fixed.  Update the source from the maverick to the natty repo - see the first post.
Logged
My Box: Phenom II 3.4GHz X4 | ASUS ATI RadeonHD 5770, 1GB GDDR5 RAM | 1x4GB DDR3 SRAM | Arch Linux, x86_64 (Cube) / Windows 7 x64 (Blob)
Quote from: Fede-lasse
Why do all the pro-Microsoft people have troll avatars? :(
Offline (Male) RetroX
Reply #16 Posted on: May 26, 2011, 08:35:27 PM

Master of all things Linux
Contributor
Location: US
Joined: Apr 2008
Posts: 1055
MSN Messenger - classixretrox@gmail.com
View Profile Email
Posting to say that the Ubuntu packages are temporarily broken.  I'm going to work on getting an actual build script for them through a VM.  This means that I'm also going to work on an RPM, eventually.
Logged
My Box: Phenom II 3.4GHz X4 | ASUS ATI RadeonHD 5770, 1GB GDDR5 RAM | 1x4GB DDR3 SRAM | Arch Linux, x86_64 (Cube) / Windows 7 x64 (Blob)
Quote from: Fede-lasse
Why do all the pro-Microsoft people have troll avatars? :(
Offline (Unknown gender) Ideka
Reply #17 Posted on: May 31, 2011, 03:21:28 PM

Member
Joined: Apr 2011
Posts: 86

View Profile
It seems that the Arch repository now provides Enigma only, with no LateralGM. Due to this, I've been unable to update the package for some time, as Pacman reported a missing dependency. But today I decided to try and update. To do it, I had to:
1) Uninstall enigma-dev-svn.
2) Install this.
3) Reinstall enigma-dev-svn.
4) cp /usr/share/java/lateralgm/lateralgm.jar to /opt/enigma.
5) And finally, chmod +x /usr/bin/lateralgm.
Now the thing seems to work, though I haven't tested much.

This process could, and I think it should, be a little more automatic.

And by the way, both lateralgm-svn (the AUR package) and enigma-dev-svn provide a different /usr/bin/lateralgm. The one that works best is the one provided by enigma-dev-svn, but I think it could use a small optimization. The file currently looks like this:
Code: [Select]
#!/bin/bash                                                                     

# NOTE: forces Java into English locale because it breaks ENIGMA otherwise

PREVIOUS_DIR=`pwd`
cd /opt/enigma
LC_ALL=en_US.UTF-8 java -jar lateralgm.jar $@
cd $PREVIOUS_DIR
If I'm not mistaken, all scripts run on their own subshell, so the last line and the PREVIOUS_DIR variable aren't necessary.
And even if I'm mistaken, I think PREVIOUS_DIR is still not necessary, as you can use OLDPWD.

That's all, thanks.
Logged
Offline (Male) RetroX
Reply #18 Posted on: May 31, 2011, 04:37:10 PM

Master of all things Linux
Contributor
Location: US
Joined: Apr 2008
Posts: 1055
MSN Messenger - classixretrox@gmail.com
View Profile Email
If you happened to notice, I was the one maintaining that package.  I was in the progress of getting repos set up when I became really busy.

The AUR still has PKGBUILDs, and I encourage the use of those for now on Arch.  Everyone else can just use the SVN for now.

The idea was going to be that /usr/share/java/lateralgm will hold ENIGMA and the Java plugins, while /opt/enigma stores ENIGMA's stuff.
« Last Edit: May 31, 2011, 04:39:32 PM by RetroX » Logged
My Box: Phenom II 3.4GHz X4 | ASUS ATI RadeonHD 5770, 1GB GDDR5 RAM | 1x4GB DDR3 SRAM | Arch Linux, x86_64 (Cube) / Windows 7 x64 (Blob)
Quote from: Fede-lasse
Why do all the pro-Microsoft people have troll avatars? :(
Offline (Unknown gender) Jarige
Reply #19 Posted on: September 24, 2011, 06:44:40 PM
Member
Joined: Sep 2011
Posts: 1

View Profile
I added the ppa to natty, but it has an unmet dependency: lateralgm. I searched for a deb or a ppa of lateralgm but I couldn't find any. Is there any way of installing without using svn? I like how ppa's give you automatic updates, so that's preferred :)

I used to make games in Gamemaker before I began to use Ubuntu. And then I found out about Enigma. I really hope you guys can keep up the good work for a very long time!
Logged
Offline (Male) RetroX
Reply #20 Posted on: September 24, 2011, 08:12:13 PM

Master of all things Linux
Contributor
Location: US
Joined: Apr 2008
Posts: 1055
MSN Messenger - classixretrox@gmail.com
View Profile Email
I haven't been maintaining these packages for a really long time.  Unfortunately, the existing repository doesn't work.  There are PKGBUILDs on the AUR (Arch User Repository), but those only work for Arch Linux.  Once I find the time, I'll work on making build scripts for the Ubuntu packages instead of using my previous method, which was a giant hack.
Logged
My Box: Phenom II 3.4GHz X4 | ASUS ATI RadeonHD 5770, 1GB GDDR5 RAM | 1x4GB DDR3 SRAM | Arch Linux, x86_64 (Cube) / Windows 7 x64 (Blob)
Quote from: Fede-lasse
Why do all the pro-Microsoft people have troll avatars? :(
Pages: 1 [2]
  Print